Package org.eclipse.e4.ui.css.swt.properties.css2

# Class CSSPropertyTextSWTHandler

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyTextHandler
org.eclipse.e4.ui.css.swt.properties.css2.CSSPropertyTextSWTHandler

All Implemented Interfaces:
  `ICSSPropertyTextHandler`, `ICSSPropertyHandler`

public class CSSPropertyTextSWTHandler extends AbstractCSSPropertyTextHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ICSSPropertyTextHandler`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`CSSPropertyTextSWTHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applyCSSProperty(Object element, String property, CSSValue value, String pseudo, CSSEngine engine)`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the `element` (ex : Swing Component, SWT Widget).
`void`
`applyCSSPropertyColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of a text.
`void`
`applyCSSPropertyTextTransform(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Controls the letters in an element.
`String`
`retrieveCSSProperty(Object element, String property, String pseudo, CSSEngine engine)`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the `element` (ex : Swing Component, SWT Widget).
`String`
`retrieveCSSPropertyColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyTextTransform(Object element, String pseudo, CSSEngine engine)`

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyTextHandler

`getTextTransform, getTextTransform, hasTextTransform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final ICSSPropertyTextHandler INSTANCE

## Constructor Details

### CSSPropertyTextSWTHandler

public CSSPropertyTextSWTHandler()

## Method Details

### applyCSSProperty

public boolean applyCSSProperty(Object element, String property, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyHandler`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the `element` (ex : Swing Component, SWT Widget).

Specified by:
  `applyCSSProperty` in interface `ICSSPropertyHandler`
Overrides:
  `applyCSSProperty` in class `AbstractCSSPropertyTextHandler`
Parameters:
  `element` - Swing Component, SWT Widget...
  `property` - CSS Property
  `value` - CSS value
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Returns:
  weather CSS property was applied or not
Throws:
  `Exception` - if applying CSS failed

### retrieveCSSProperty

public String retrieveCSSProperty(Object element, String property, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyHandler`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the `element` (ex : Swing Component, SWT Widget).

Specified by:
  `retrieveCSSProperty` in interface `ICSSPropertyHandler`
Overrides:
  `retrieveCSSProperty` in class `AbstractCSSPropertyTextHandler`
Parameters:
  `element` - Swing Component, SWT Widget...
  `property` - CSS Property
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Returns:
  retrieved CSS properties or `null`
Throws:
  `Exception` - if retrieving CSS failed

### applyCSSPropertyColor

public void applyCSSPropertyColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyTextHandler`
Sets the color of a text.

Specified by:
  `applyCSSPropertyColor` in interface `ICSSPropertyTextHandler`
Overrides:
  `applyCSSPropertyColor` in class `AbstractCSSPropertyTextHandler`
Throws:
  `Exception`

### applyCSSPropertyTextTransform

public void applyCSSPropertyTextTransform(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyTextHandler`
Controls the letters in an element. Available values are : none capitalize uppercase lowercase

Specified by:
  `applyCSSPropertyTextTransform` in interface `ICSSPropertyTextHandler`
Overrides:
  `applyCSSPropertyTextTransform` in class `AbstractCSSPropertyTextHandler`
Throws:
  `Exception`

### retrieveCSSPropertyColor

public String retrieveCSSPropertyColor(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyColor` in interface `ICSSPropertyTextHandler`
Overrides:
  `retrieveCSSPropertyColor` in class `AbstractCSSPropertyTextHandler`
Throws:
  `Exception`

### retrieveCSSPropertyTextTransform

public String retrieveCSSPropertyTextTransform(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyTextTransform` in interface `ICSSPropertyTextHandler`
Overrides:
  `retrieveCSSPropertyTextTransform` in class `AbstractCSSPropertyTextHandler`
Throws:
  `Exception`